services:
    _defaults:
        autowire: false #change to true
        autoconfigure: false
        public: true #because controller

    Icap\BlogBundle\Controller\BlogController:
        arguments:
          - '@security.authorization_checker'
          - '@router'
          - '@twig'
          - '@Claroline\AppBundle\API\FinderProvider'
          - '@Icap\BlogBundle\Manager\BlogManager'
          - '@Icap\BlogBundle\Manager\PostManager'
          - '@Icap\BlogBundle\Serializer\BlogSerializer'
          - '@Claroline\AppBundle\Manager\PdfManager'
          - '@Icap\BlogBundle\Serializer\BlogOptionsSerializer'


    Icap\BlogBundle\Controller\CommentController:
        arguments:
          - '@Icap\BlogBundle\Serializer\CommentSerializer'
          - '@Icap\BlogBundle\Manager\CommentManager'
          - '@Icap\BlogBundle\Manager\BlogTrackingManager'
          - '@security.authorization_checker'

    Icap\BlogBundle\Controller\PostController:
        arguments:
          - '@Icap\BlogBundle\Serializer\PostSerializer'
          - '@Icap\BlogBundle\Manager\PostManager'
          - '@Icap\BlogBundle\Manager\BlogTrackingManager'
          - '%non_repeatable_log_time_in_seconds%'
          - '@security.authorization_checker'
